<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <parent>
        <artifactId>sika-aem</artifactId>
        <groupId>com.sika</groupId>
        <version>1.0-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>

    <artifactId>ui.frontend</artifactId>
    <name>sika-aem - UI frontend</name>
    <description>UI frontend for sika-aem</description>
    
    <!-- ====================================================================== -->
    <!-- B U I L D   D E F I N I T I O N                                        -->
    <!-- ====================================================================== -->
    <build>
		<plugins>
			<!-- ====================================================================== -->
			<!-- M A V E N F R O N T E N D   P L U G I N -->
			<!-- ====================================================================== -->
			<plugin>
				<groupId>com.github.eirslett</groupId>
				<artifactId>frontend-maven-plugin</artifactId>
				<version>1.6</version>
				<executions>
					<execution>
						<id>install node and yarn</id>
						<goals>
							<goal>install-node-and-yarn</goal>
						</goals>
						<phase>generate-resources</phase>
					</execution>
				
				 	<execution>
						<id>yarn-install</id>
						<goals>
							<goal>yarn</goal>
						</goals>
						<phase>generate-resources</phase>
						<configuration>
							<arguments>install</arguments>
						</configuration>
					</execution>

				 	<execution>
						<id>yarn-deploy</id>
						<goals>
							<goal>yarn</goal>
						</goals>
						<phase>generate-resources</phase>
						<configuration>
							<arguments>deploy</arguments>
						</configuration>
					</execution>

				</executions>
				<configuration>
					<nodeVersion>v10.7.0</nodeVersion>
					<yarnVersion>v1.7.0</yarnVersion>
				</configuration>
			</plugin>
        </plugins>
    </build>
</project>